iscsi_context_new(3)

NAME
iscsi_context_new - Create struct iscsi_context.

SYNOPSIS
struct iscsi_context * iscsi_context_new (void);

ARGUMENTS

void
    no arguments

DESCRIPTION

The default logging level (LIBISCSI_LOG_PRIORITY_DEFAULT) is LIBISCSI_LOG_PRIORITY_WARNING which means only warning and error message will be forward to log handler function. The default log handler function will print log message to STDERR, to change so, please use iscsi_context_log_func_set to set your own log handler, check manpage libopeniscsiusr.h(3) for detail.

RETURN
Pointer of 'struct iscsi_context'. Should be freed by iscsi_context_free.